Bug 493488 - QA:Testcase_radeon_xvideo fails
QA:Testcase_radeon_xvideo fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 18:21 EDT by Andrew Gormanly
Modified: 2010-05-24 15:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-24 15:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Gormanly 2009-04-01 18:21:43 EDT
Description of problem:
QA:Testcase_radeon_xvideo fails on 3850

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. run QA:Testcase_radeon_xvideo test
2.
3.
  
Actual results:
Video works

Expected results:
Errors from gstreamer and video plays too fast

Additional info:

gstreamer-properties: 
 X Window System (X11/XShm/Xv): Could not initialise Xv output
gstreamer-properties-Message: Skipping unavailable plugin 'artsdsink'
gstreamer-properties-Message: Skipping unavailable plugin 'esdsink'
gstreamer-properties-Message: Skipping unavailable plugin 'glimagesink'
gstreamer-properties-Message: Skipping unavailable plugin 'sdlvideosink'
gstreamer-properties-Message: Skipping unavailable plugin 'v4lmjpegsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'qcamsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'esdmon'
gstreamer-properties-Message: Error running pipeline 'X Window System (X11/XShm/Xv)': Could not initialise Xv output [xvimagesink.c(1352): gst_xvimagesink_get_xv_support (): /GstPipeline:pipeline0/GstXvImageSink:xvimagesink2:
No port available]

totem on start-up:
An error occurred
The video output is in use by another application. Please close other video applications, or select another video output in the Multimedia Systems Selector.
OK

When test video download is played it runs too fast, about 2x or faster


http://www.smolts.org/client/show/pub_fc1dd80d-001b-410d-af43-5b13bf28df34
Comment 1 François Cami 2009-04-08 18:10:59 EDT
Andrew,

Are you able (via installed rawhide) to test a newer version of xorg-x11-drv-ati ?
For instance, this Koji build :
http://koji.fedoraproject.org/koji/buildinfo?buildID=96941
XV should be fixed.

Thanks

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Andrew Gormanly 2009-04-09 11:59:58 EDT
Not easily, the tests were performed using the Radeon testday live CD while the system was not in use.  I'll try and get some time on it over the weekend, though, and stick in a spare hard disk to install Rawhide on.
Comment 3 François Cami 2009-04-10 05:58:19 EDT
That'd be great, thanks.
Keeping the bug report in NEEDMOREINFO for now.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2009-06-09 09:02:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matěj Cepl 2009-06-09 20:05:01 EDT
(In reply to comment #2)
> Not easily, the tests were performed using the Radeon testday live CD while the
> system was not in use.  I'll try and get some time on it over the weekend,
> though, and stick in a spare hard disk to install Rawhide on.  

Could you by chance try to test again with the released version of Fedora 11 (live CD or full upgrade install)?
Comment 6 Andrew Gormanly 2009-06-10 06:36:57 EDT
(In reply to comment #5)
> Could you by chance try to test again with the released version of Fedora 11
> (live CD or full upgrade install)?  

Yes, I plan to do so tonight - it would have been last night but the DVD .iso took ages to download.  I'll post the results later.
Comment 7 Andrew Gormanly 2009-06-16 07:05:36 EDT
I've run the tests with the F11 release live CD: gstreamer passes, but Totem gets about 1 fps on the NetworkManager test video.  Moving around in the file and moving the window pass.  I've had difficulties with the upgrade process F10 -> F11 so can't yet report on the installed OS.
Comment 8 Matěj Cepl 2009-06-23 17:43:58 EDT
Could we get /var/log/Xorg.0.log and /var/log/dmesg from the test attempt, please?

Thank you in advance
Comment 9 Matěj Cepl 2009-11-05 13:24:37 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 Chris Campbell 2009-12-31 09:15:57 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Matěj Cepl 2010-02-26 07:15:30 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 12 Bug Zapper 2010-04-27 09:25:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Vedran Miletić 2010-05-24 15:21:33 EDT
Closing per comment 11.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]

Note You need to log in before you can comment on or make changes to this bug.